# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ruma-lean"
version = "0.1.4"
authors = ["Shane Jaroch <chown_tee@proton.me>"]
build = false
exclude = [
    "res/",
    "scripts/",
    "docs/",
    "RumaLean/",
    "RumaLean.lean",
    "lake*",
    "lean-toolchain",
    ".envrc",
    ".env.example",
    ".github",
    ".gitignore",
    ".editorconfig",
    ".pre-commit-config.yaml",
    ".prettierignore",
    ".prettierrc",
    ".rgignore",
    "tests/",
    "Makefile",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Formally verified, dependency-free Matrix State Resolution v2 logic."
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/gamesguru/ruma-lean"

[features]
alloc = []
cli = [
    "std",
    "dep:clap",
    "dep:anyhow",
    "dep:ureq",
]
default = ["std"]
std = [
    "alloc",
    "serde_json/std",
    "serde/std",
]
zkvm = []

[lib]
name = "ruma_lean"
path = "src/lib.rs"

[[bin]]
name = "ruma-lean"
path = "src/main.rs"
required-features = ["cli"]

[dependencies.anyhow]
version = "1.0"
optional = true

[dependencies.clap]
version = "4.4"
features = [
    "derive",
    "env",
]
optional = true

[dependencies.hashbrown]
version = "0.15"
features = [
    "default-hasher",
    "inline-more",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "alloc",
]
default-features = false

[dependencies.serde_json]
version = "1.0"
features = ["alloc"]
default-features = false

[dependencies.ureq]
version = "2.9"
features = ["json"]
optional = true

[dev-dependencies]
